// GENERATED CODE - DO NOT MODIFY BY HAND

part of 'user.dart';

// **************************************************************************
// JsonSerializableGenerator
// **************************************************************************

User _$UserFromJson(Map<String, dynamic> json) {
  return User(
    id: json['id'] as int,
    nom: json['nom'] as String,
    prenoms: json['prenoms'] as String,
    login: json['login'] as String,
    password: json['password'] as String,
    newPassword: json['newPassword'] as String,
    email: json['email'] as String,
    telephone: json['telephone'] as String,
    roleLibelle: json['roleLibelle'] as String,
    roleCode: json['roleCode'] as String,
    typeEntrepriseLibelle: json['typeEntrepriseLibelle'] as String,
    typeEntrepriseCode: json['typeEntrepriseCode'] as String,
    etatCode: json['etatCode'] as String,
    typeAppelDoffresCode: json['typeAppelDoffresCode'] as String,
    typeContenuStatiqueCode: json['typeContenuStatiqueCode'] as String,
    titre: json['titre'] as String,
    contenu: json['contenu'] as String,
    typeCritereAppelDoffresCode: json['typeCritereAppelDoffresCode'] as String,
    valeur: json['valeur'] as String,
    critereAppelDoffresLibelle: json['critereAppelDoffresLibelle'] as String,
    critereLibelle: json['critereLibelle'] as String,
    dataEntreprise: json['dataEntreprise'],
    roleId: json['roleId'] as int,
    villeId: json['villeId'] as int,
    typeEntrepriseId: json['typeEntrepriseId'] as int,
    statutJuridiqueId: json['statutJuridiqueId'] as int,
    numeroFax: json['numeroFax'] as String,
    numeroDuns: json['numeroDuns'] as String,
    numeroFix: json['numeroFix'] as String,
    numeroImmatriculation: json['numeroImmatriculation'] as String,
    classeNoteCode: json['classeNoteCode'] as String,
    extensionLogo: json['extensionLogo'] as String,
    urlLogo: json['urlLogo'] as String,
    note: (json['note'] as num)?.toDouble(),
    noteOffre: (json['noteOffre'] as num)?.toDouble(),
    fichierBase64: json['fichierBase64'],
    cheminFichier: json['cheminFichier'] as String,
    paysLibelle: json['paysLibelle'] as String,
    nombreUser: json['nombreUser'] as int,
    paysId: json['paysId'] as int,
    datasSecteurDactiviteEntreprise:
        json['datasSecteurDactiviteEntreprise'] as List,
    datasSecteurDactivite: json['datasSecteurDactivite'] as List,
    datasDomaineEntreprise: json['datasDomaineEntreprise'] as List,
    datasDomaine: json['datasDomaine'] as List,
    datasFichierDescription: json['datasFichierDescription'] as List,
    datasPartenaire: json['datasPartenaire'] as List,
    datasFichierPartenaire: json['datasFichierPartenaire'] as List,
    isAttribuer: json['isAttribuer'] as bool,
    isSelect: json['isSelect'] as bool,
    objetNousContacterId: json['objetNousContacterId'] as int,
    dateLimiteDepot: json['dateLimiteDepot'] as String,
    dateCreation: json['dateCreation'] as String,
    code: json['code'] as String,
    nbreOF: json['nbreOF'] as int,
    libelle: json['libelle'] as String,
    description: json['description'] as String,
    datasVille: json['datasVille'] as List,
    codeParam: json['codeParam'],
    isRetirer: json['isRetirer'] as bool,
    appelDoffresId: json['appelDoffresId'] as int,
    userFournisseurId: json['userFournisseurId'] as int,
    baseUrl: json['baseUrl'] as String,
    villeLibelle: json['villeLibelle'] as String,
    critereId: json['critereId'] as int,
    offreId: json['offreId'] as int,
    datasValeurCritereOffre: json['datasValeurCritereOffre'] as List,
    nombreTypeDuree: json['nombreTypeDuree'] as int,
    typeDureeLibelle: json['typeDureeLibelle'] as String,
    commentaire: json['commentaire'] as String,
    datasValeurCritereAppelDoffres:
        json['datasValeurCritereAppelDoffres'] as List,
    datasEntreprise: json['datasEntreprise'] as List,
    datasFichier: json['datasFichier'] as List,
    datasSecteurDactiviteAppelDoffres:
        json['datasSecteurDactiviteAppelDoffres'] as List,
    typeAppelDoffresLibelle: json['typeAppelDoffresLibelle'] as String,
    typeDureeId: json['typeDureeId'] as int,
    userClientId: json['userClientId'] as int,
    secteurDactiviteId: json['secteurDactiviteId'] as int,
    secteurDactiviteLibelle: json['secteurDactiviteLibelle'] as String,
    domaineId: json['domaineId'] as int,
    domaineLibelle: json['domaineLibelle'] as String,
    extension: json['extension'] as String,
    isFichierOffre: json['isFichierOffre'] as bool,
    nombreOffre: json['nombreOffre'] as String,
    name: json['name'] as String,
    createdBy: json['createdBy'] as int,
    typeAppelDoffresId: json['typeAppelDoffresId'] as int,
    dateCreationAppelDoffres: json['dateCreationAppelDoffres'] as String,
    isSelectedByClient: json['isSelectedByClient'] as bool,
    dateLimiteDepotAppelDoffres: json['dateLimiteDepotAppelDoffres'] as String,
    villeAppelDoffres: json['villeAppelDoffres'] as String,
    appelDoffresLibelle: json['appelDoffresLibelle'] as String,
    statutJuridiqueLibelle: json['statutJuridiqueLibelle'] as String,
    isLocked: json['isLocked'] as bool,
    isVisibleByClient: json['isVisibleByClient'] as bool,
    isAppelRestreint: json['isAppelRestreint'] as bool,
    isContenuNotificationDispo: json['isContenuNotificationDispo'] as bool,
    isVisualiserContenuByFournisseur:
        json['isVisualiserContenuByFournisseur'] as bool,
    typeEntrepriseCodeParam: json['typeEntrepriseCodeParam'],
    entrepriseNom: json['entrepriseNom'] as String,
    userNom: json['userNom'] as String,
    userPrenoms: json['userPrenoms'] as String,
    messageClient: json['messageClient'] as String,
    codeContrat: json['codeContrat'] as String,
    dateSoumission: json['dateSoumission'] as String,
    isPayer: json['isPayer'] as bool,
    isVisualiserNoteByFournisseur:
        json['isVisualiserNoteByFournisseur'] as bool,
    isVisualiserNotifByClient: json['isVisualiserNotifByClient'] as bool,
    isAttribuerAppelDoffres: json['isAttribuerAppelDoffres'] as bool,
    isModifiable: json['isModifiable'] as bool,
  );
}

/*List <User> _$UsersFromJsons(List<Map<String, dynamic>> jsons) {
  return jsons.map((json)=>
     _$UserFromJson(json) 
  ).toList();
}*/

List<User> _$UsersFromJsons(List<dynamic> jsons) {
  List<User> users = List();

  for (var json in jsons) {
    users.add(_$UserFromJson(json));
  }
  return users;
}

Map<String, dynamic> _$UserToJson(User instance) => <String, dynamic>{
      'id': instance.id,
      'nom': instance.nom,
      'prenoms': instance.prenoms,
      'login': instance.login,
      'password': instance.password,
      'newPassword': instance.newPassword,
      'email': instance.email,
      'telephone': instance.telephone,
      'roleLibelle': instance.roleLibelle,
      'roleCode': instance.roleCode,
      'typeEntrepriseLibelle': instance.typeEntrepriseLibelle,
      'typeEntrepriseCode': instance.typeEntrepriseCode,
      'etatCode': instance.etatCode,
      'typeAppelDoffresCode': instance.typeAppelDoffresCode,
      'typeContenuStatiqueCode': instance.typeContenuStatiqueCode,
      'titre': instance.titre,
      'contenu': instance.contenu,
      'typeCritereAppelDoffresCode': instance.typeCritereAppelDoffresCode,
      'valeur': instance.valeur,
      'critereAppelDoffresLibelle': instance.critereAppelDoffresLibelle,
      'critereLibelle': instance.critereLibelle,
      'dataEntreprise': instance.dataEntreprise,
      'roleId': instance.roleId,
      'villeId': instance.villeId,
      'typeEntrepriseId': instance.typeEntrepriseId,
      'statutJuridiqueId': instance.statutJuridiqueId,
      'nombreOffre': instance.nombreOffre,
      'statutJuridiqueLibelle': instance.statutJuridiqueLibelle,
      'numeroFax': instance.numeroFax,
      'numeroDuns': instance.numeroDuns,
      'numeroFix': instance.numeroFix,
      'numeroImmatriculation': instance.numeroImmatriculation,
      'classeNoteCode': instance.classeNoteCode,
      'extensionLogo': instance.extensionLogo,
      'urlLogo': instance.urlLogo,
      'note': instance.note,
      'noteOffre': instance.noteOffre,
      'fichierBase64': instance.fichierBase64,
      'cheminFichier': instance.cheminFichier,
      'paysLibelle': instance.paysLibelle,
      'villeLibelle': instance.villeLibelle,
      'nombreUser': instance.nombreUser,
      'paysId': instance.paysId,
      'datasSecteurDactiviteEntreprise':
          instance.datasSecteurDactiviteEntreprise,
      'datasSecteurDactivite': instance.datasSecteurDactivite,
      'datasDomaineEntreprise': instance.datasDomaineEntreprise,
      'datasDomaine': instance.datasDomaine,
      'datasFichierDescription': instance.datasFichierDescription,
      'datasPartenaire': instance.datasPartenaire,
      'datasFichierPartenaire': instance.datasFichierPartenaire,
      'datasValeurCritereOffre': instance.datasValeurCritereOffre,
      'datasValeurCritereAppelDoffres': instance.datasValeurCritereAppelDoffres,
      'commentaire': instance.commentaire,
      'isAttribuer': instance.isAttribuer,
      'isSelect': instance.isSelect,
      'objetNousContacterId': instance.objetNousContacterId,
      'dateLimiteDepot': instance.dateLimiteDepot,
      'dateCreation': instance.dateCreation,
      'code': instance.code,
      'nbreOF': instance.nbreOF,
      'libelle': instance.libelle,
      'description': instance.description,
      'baseUrl': instance.baseUrl,
      'userFournisseurId': instance.userFournisseurId,
      'appelDoffresId': instance.appelDoffresId,
      'isRetirer': instance.isRetirer,
      'datasVille': instance.datasVille,
      'codeParam': instance.codeParam,
      'typeEntrepriseCodeParam': instance.typeEntrepriseCodeParam,
      'critereId': instance.critereId,
      'offreId': instance.offreId,
      'nombreTypeDuree': instance.nombreTypeDuree,
      'typeDureeLibelle': instance.typeDureeLibelle,
      'typeAppelDoffresLibelle': instance.typeAppelDoffresLibelle,
      'typeDureeId': instance.typeDureeId,
      'userClientId': instance.userClientId,
      'datasEntreprise': instance.datasEntreprise,
      'datasSecteurDactiviteAppelDoffres':
          instance.datasSecteurDactiviteAppelDoffres,
      'datasFichier': instance.datasFichier,
      'secteurDactiviteId': instance.secteurDactiviteId,
      'secteurDactiviteLibelle': instance.secteurDactiviteLibelle,
      'domaineId': instance.domaineId,
      'domaineLibelle': instance.domaineLibelle,
      'isFichierOffre': instance.isFichierOffre,
      'name': instance.name,
      'extension': instance.extension,
      'createdBy': instance.createdBy,
      'dateCreationAppelDoffres': instance.dateCreationAppelDoffres,
      'dateLimiteDepotAppelDoffres': instance.dateLimiteDepotAppelDoffres,
      'isSelectedByClient': instance.isSelectedByClient,
      'appelDoffresLibelle': instance.appelDoffresLibelle,
      'villeAppelDoffres': instance.villeAppelDoffres,
      'isVisibleByClient': instance.isVisibleByClient,
      'isLocked': instance.isLocked,
      'isContenuNotificationDispo': instance.isContenuNotificationDispo,
      'isAppelRestreint': instance.isAppelRestreint,
      'typeAppelDoffresId': instance.typeAppelDoffresId,
      'entrepriseNom': instance.entrepriseNom,
      'userPrenoms': instance.userPrenoms,
      'userNom': instance.userNom,
      'messageClient': instance.messageClient,
      'isVisualiserContenuByFournisseur':
          instance.isVisualiserContenuByFournisseur,
      'dateSoumission': instance.dateSoumission,
      'codeContrat': instance.codeContrat,
      'isPayer': instance.isPayer,
      'isVisualiserNoteByFournisseur': instance.isVisualiserNoteByFournisseur,
      'isVisualiserNotifByClient': instance.isVisualiserNotifByClient,
      'isAttribuerAppelDoffres': instance.isAttribuerAppelDoffres,
      'isModifiable': instance.isModifiable,
    };
